Payment batches & settlement
Submit Schedule Settlement
Name and signature indicate it submits schedule settlement
POSThttps://api.toku.com/tga/submit-schedule-settlement
Not available to API keys yet. It will need payments:write.
curl --request POST \
--url 'https://api.toku.com/tga/submit-schedule-settlement' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"taxReferenceID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"providerName": "SAFE",
"custodyWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"unitsOverride": "string"
}'200 response
{
"success": true,
"transactionID": "string",
"providerName": "SAFE"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
taxReferenceIDstring<uuid>requiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
custodyWalletIDstring<uuid>unitsOverridestringResponse
200Successful response
successbooleanrequiredtransactionIDstringrequiredproviderNamestringrequiredAvailable options: SAFE, SAFE_PROPOSER, ANCHORAGE, FIREBLOCKS, SQUADS, COINBASE, FILECOIN_SELF_CUSTODY, FORDEFI, BITGO
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits